<template>
    <div>
      <b-container>
        <b-row class="mb-5">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <b-card >
                    <b-card-header>
                        <h2 class="text-center">Informations sur l'objet trouvé</h2>
                    </b-card-header>
                    <b-card-body> 
                        <form @submit.prevent="submitForm">
                            <b-row class="mb-3">
                                <label for="typeObjet">Type objet</label>
                                <select id="typeObjet" class="form-control" name="type_objet" v-model="type_objet">
                                    <option value = "Piece identite" selected>Piece Identite</option>
                                    <option value="Passport">Passport</option>
                                    <option value="Permis de conduire" >Permis de conduire</option>
                                    <option value="Autre">Autres</option>
                                </select>
                            </b-row>
                            <b-row class="mb-3">
                                <b-form-file v-model="image_objet" :state="Boolean(image_objet)" placeholder="Choisir un fichier ou le faire glisser ici..."
                                    drop-placeholder="glisser le fichier ici..."></b-form-file>
                                    <div class="mt-3">fichier selectionner : {{ image_objet ? image_objet.name : '' }}</div>
                            </b-row>

                            <b-row class="mb-3">
                                <!-- <label for="date">la date à laquelle vous l'avez trouvé</label> -->
                                <b-input type="date" name="date_objet" id = "date" class="form-control" v-model="date_objet" />
                            </b-row>

                            <b-row class="mb-2">
                                <b-form-textarea name="detail_objet" v-model="detail_objet" class="form-control" placeholder="detail" rows="4"></b-form-textarea>
                            </b-row>
                            <b-row >
                                <input type="submit" class="btn btn-info btn" value="Enregistrer">
                            </b-row>
                        </form>
                    </b-card-body>
                </b-card>   
            </div>
            <div class="col-md-3"></div>
        </b-row>
      </b-container>
    </div>
</template>

<script>

    export default {
        layout :'admin',

        data() {
            return {
            type_objet: "",
            date_objet: null,
            image_objet: null,
            detail_objet: "",
            id_user : null,
            };
        },
        methods: {
            async submitForm() {}
        }

    }
</script>
